/*
 *			tcp.h
 * $Id: tcp.h,v 1.3 2004/01/11 06:16:03 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _XP_TCP_H_
#define _XP_TCP_H_

#define TC_BUFSIZ	1024

struct tcpcon {
	int 	tc_soc;			/* socket */
	char	tc_buf[TC_BUFSIZ];	/* buffer */
	char 	*tc_ptr;		/* ptr to buffer */
	int	tc_datalen;		/* buffered data in bytes */
};

int  tc_connect(struct tcpcon *, const char *dest, short port);
int  tc_is_connected(struct tcpcon *);
void tc_disconnect(struct tcpcon *);
int  tc_readLine(struct tcpcon *, char *, int len);
int  tc_writeLine(struct tcpcon *, const char *, int len);

#endif /* _XP_TCP_H_ */
