	/* @FILE_NAME@.c:  template for set */

#if 	  !defined(@PKG_CAP_NAME@_USE_LIST)  && \
    	  !defined(@PKG_CAP_NAME@_USE_HASH)  && \
    	  !defined(@PKG_CAP_NAME@_USE_BINTREE) && \
    	  !defined(@PKG_CAP_NAME@_USE_AVLTREE)
        /* default implementation */
#define @PKG_CAP_NAME@_USE_@IMPL_CAP_NAME@
#endif /* !defined(@PKG_CAP_NAME@_USE_LIST)  && 
    	  !defined(@PKG_CAP_NAME@_USE_HASH)  && 
	  !defined(@PKG_CAP_NAME@_USE_BINTREE) && 
	  !defined(@PKG_CAP_NAME@_USE_AVLTREE) */

#define PKG_NAME_(x)            @PKG_NAME@_impl_##x
#define PKG_NAME_STRING         "@PKG_NAME@_impl"
#define PKG_SETVAL_T          	@VALUE_TYPE@
#define PKG_USE_STATIC
	
#if   defined(@PKG_CAP_NAME@_USE_HASH)
#   include <ctmpl/hashset.h>  /* by hash */
#   include <ctmpl/hashset.c>  /* by hash */
typedef PKG_NAME_(hs) 			@PKG_NAME@;
typedef PKG_NAME_(hs_iterator) 		@PKG_NAME@_iterator;
typedef PKG_NAME_(hsval_t) 		@PKG_NAME@_iterator_data;
#define @PKG_NAME@_new(x, y, z, a, b)		\
	@PKG_NAME@_impl_hs_new_by(x, y, z, a, b)

#elif defined(@PKG_CAP_NAME@_USE_LIST)
#   include <ctmpl/slist.h>	/* by sorted list */
#   include <ctmpl/slist.c>	/* by sorted list */
typedef PKG_NAME_(slist) 		@PKG_NAME@;
typedef PKG_NAME_(slist_iterator) 	@PKG_NAME@_iterator;
typedef PKG_NAME_(slistval_t) 		@PKG_NAME@_iterator_data;
#define @PKG_NAME@_new(x, y, z, a, b)		\
	@PKG_NAME@_impl_slist_new_by(z, a, b)

	/* set performed by binary tree */
#elif defined(@PKG_CAP_NAME@_USE_BINTREE)
#   include <ctmpl/bintree_set.h>
#   include <ctmpl/bintree_set.c>
typedef PKG_NAME_(bts) 			@PKG_NAME@;
typedef PKG_NAME_(bts_iterator) 	@PKG_NAME@_iterator;
typedef PKG_NAME_(btsval_t) 		@PKG_NAME@_iterator_data;
#define @PKG_NAME@_new(x, y, z, a, b)		\
	@PKG_NAME@_impl_bts_new_by(z, a, b)

	/* set performed by AVL binary tree */
#elif defined(@PKG_CAP_NAME@_USE_AVLTREE)
#   include <ctmpl/avltree_set.h>
#   include <ctmpl/avltree_set.c>
typedef PKG_NAME_(avts) 		@PKG_NAME@;
typedef PKG_NAME_(avts_iterator) 	@PKG_NAME@_iterator;
typedef PKG_NAME_(avtsval_t) 		@PKG_NAME@_iterator_data;
#define @PKG_NAME@_new(x, y, z, a, b)		\
	@PKG_NAME@_impl_avts_new_by(z, a, b)
#else
# error "not-supported implementation"
#endif /* defined(@PKG_CAP_NAME@_USE_XXXX) */

#undef PKG_NAME_
#undef PKG_NAME_STRING
#undef PKG_SETVAL_T
#undef PKG_USE_STATIC
