/*
 *                      xpstatus.h
 * $Id: xpstatus.h,v 1.2 2004/01/19 22:16:19 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _XP_STATUS_H_
#define _XP_STATUS_H_

struct xactor *xpstatus_new(struct xpopdic_resource *);

#define XSIG_STAT_NORMAL	(XSIG_USER | 0x000011)
#define XSIG_STAT_WARN		(XSIG_USER | 0x000012)
#define XSIG_STAT_LINK		(XSIG_USER | 0x000013)
#define XSIG_STAT_UP		(XSIG_USER | 0x000014)

struct xps_sigarg {
	struct xsigarg 		  pos;
	const char 		  *msg;
	int			  nchars;
};

#endif /* _XP_STATUS_H_ */
